• English
  • Query refund order

    Request path

    /api/v2/virtual/order/refund/queryStatus

    Request parameter

    NameTypeLengthRequiredDescription
    orderIdString32NoUnique Order No of the merchant, which can be used to query the order. If there is no orderId, you can send the orderNo.
    orderNoString32NoUnique Order No of PalmPay, which can be used to query the order. If there is no orderNo, you can send the orderId.

    Returned value

    NameTypeLengthRequiredDescription
    orderIdString32yesMerchant unique order number
    orderNoString32yesPalmPay platform order number
    orderStatusInteger20yesOrder status
    messageString50noStatus Description information
    currencyString10yesCurrency
    amountLong-noOrder amount(min unit)
    errorMsgString200noError information

    Postman example

    request

    curl --location 'https://open-gw-sandbox.palmpay-inc.com/api/v2/virtual/order/refund/queryStatus' \
    --header 'Accept: application/json, text/plain, */*' \
    --header 'countryCode: NG' \
    --header 'Authorization: Bearer 10241024' \
    --header 'Signature: D11A3E8CB478C0B0F40276DDA5AFD898' \
    --header 'Content-Type: application/json' \
    --data '{
        "requestTime": 1662171389940,
        "version": "V1.1",
        "nonceStr": "IBJGAeTa4ZJQv4Z2qufomVo9eI1YnJ9Y",
        "orderId": "testc9ffae997fc1"
    }'

    response

    {
        "respCode": "00000000",
        "respMsg": "success",
        "data": {
            "orderId": "testc9ffae997fc1",
            "orderNo": "2424220903032435363613",
            "orderStatus": 1,
            "message": "success",
            "currency": "NGN",
            "amount": 5000
        }
    }